/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.dto.casedesign;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.*;
import java.io.Serializable;
import java.util.Date;

/**
* Restful接口--新增资源--数据传输对象：dw同步表
*
* createdate:  2022-11-24 11:56:11  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "dw脚本同步表")
public class MqSynchronizeTaskAddDto implements Serializable
{
    /**
     * 脚本ID<br>
     */
    @ApiModelProperty("脚本ID")
    @Size(max = 32, message="脚本ID-iquery/scriptListd: 数据长度不能 > 32" )
    private String id;
    /**
     * 脚本名称<br>
     */
    @ApiModelProperty("脚本名称")
    @Size(max = 90, message="脚本名称-scriptName: 数据长度不能 > 90" )
    private String scriptName;
    /**
     * 脚本类型<br>
     */
    @ApiModelProperty("脚本类型")
    @Size(max = 32, message="脚本类型-scriptType: 数据长度不能 > 32" )
    private Integer scriptType;
    /**
     * 是否删除<br>
     */
    @ApiModelProperty("是否删除")
    @Size(max = 1, message="是否删除-isDeleted: 数据长度不能 > 1" )
    private Integer isDeleted;
    /**
     * 系统ID<br>
     */
    @ApiModelProperty("系统ID")
    @Size(max = 32, message="系统ID-projectId: 数据长度不能 > 32" )
    private String projectId;
    /**
     * 租户号<br>
     */
    @ApiModelProperty("租户号")
    @Size(max = 32, message="租户号-tenantId: 数据长度不能 > 32" )
    private String tenantId;
    /**
     * 创建人<br>
     */
    @ApiModelProperty("创建人")
    @Size(max = 32, message="创建人-createdBy: 数据长度不能 > 32" )
    private String createdBy;
    /**
     * 创建时间<br>
     */
    @ApiModelProperty("创建时间")
    private Date createdTime;
    /**
     * 脚本id<br>
     */
    @ApiModelProperty("脚本id")
    @Size(max = 32, message="脚本id-scriptId: 数据长度不能 > 32" )
    private String scriptId;
    /**
     * 版本号<br>
     */
    @ApiModelProperty("版本号")
    private Integer versionId;
    /**
     * 更新时间<br>
     */
    @ApiModelProperty("更新时间")
    private Date updatedTime;

    public String getScriptCode() {
        return scriptCode;
    }

    public void setScriptCode(String scriptCode) {
        this.scriptCode = scriptCode;
    }

    public String getPrincipalId() {
        return principalId;
    }

    public void setPrincipalId(String principalId) {
        this.principalId = principalId;
    }

    @ApiModelProperty("脚本编码")
    private String scriptCode;


    private String principalId;

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy;
    }

    private String updatedBy;

    public Date getUpdatedTime() {
        return updatedTime;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getScriptName() {
        return scriptName;
    }

    public void setScriptName(String scriptName) {
        this.scriptName = scriptName;
    }

    public Integer getScriptType() {
        return scriptType;
    }

    public void setScriptType(Integer scriptType) {
        this.scriptType = scriptType;
    }

    public Integer getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(Integer isDeleted) {
        this.isDeleted = isDeleted;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public String getScriptId() {
        return scriptId;
    }

    public void setScriptId(String scriptId) {
        this.scriptId = scriptId;
    }

    public Integer getVersionId() {
        return versionId;
    }

    public void setVersionId(Integer versionId) {
        this.versionId = versionId;
    }
}